Monitor del server
GET https://uptime4.com/api/server-monitors/
curl --request GET \
--url 'https://uptime4.com/api/server-monitors/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/server-monitors/' \
--header 'Authorization: Bearer {api_key}' \
| Parametri | Dettagli | Descrizione |
|---|---|---|
| search | Facoltativo String | La stringa di ricerca. |
| search_by | Facoltativo String | Quale campo stai cercando. I valori consentiti sono: name, target. |
| is_enabled | Facoltativo Boolean | |
| project_id | Facoltativo Intero | |
| datetime_field | Facoltativo String | Valori consentiti: datetime, last_datetime, last_log_datetime |
| datetime_start | Facoltativo String | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Facoltativo String | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Facoltativo String | In quale campo ordinare i risultati. I valori consentiti sono: server_monitor_id, datetime, last_datetime, last_log_datetime, total_logs, cpu_usage, ram_usage, disk_usage, uptime, name. |
| order_type | Facoltativo String | L'ordinamento dei risultati. I valori consentiti sono: ASC per ordinamento crescente e DESC per ordinamento decrescente. |
| page | Facoltativo Intero | Il numero di pagina da cui desideri i risultati. Predefinito a 1. |
| results_per_page | Facoltativo Intero | Quanti risultati vuoi per pagina. I valori consentiti sono: 10, 25, 50, 100, 250, 500, 1000. Predefinito è 25. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": 1,
"network_download": 1,
"network_total_upload": 1,
"network_upload": 1,
"os_name": "Example",
"os_version": "Example",
"kernel_name": "Example",
"kernel_version": "Example",
"kernel_release": "Example",
"cpu_architecture": "Example",
"cpu_model": "Example",
"cpu_cores": 1,
"cpu_frequency": 1,
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-09-29 12:14:08",
"last_datetime": null
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://uptime4.com/api/server-monitors?page=1",
"last": "https://uptime4.com/api/server-monitors?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/server-monitors?page=1"
}
}
GET https://uptime4.com/api/server-monitors/{server_monitor_id}
curl --request GET \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": 1,
"network_download": 1,
"network_total_upload": 1,
"network_upload": 1,
"os_name": "Example",
"os_version": "Example",
"kernel_name": "Example",
"kernel_version": "Example",
"kernel_release": "Example",
"cpu_architecture": "Example",
"cpu_model": "Example",
"cpu_cores": 1,
"cpu_frequency": 1,
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-09-29 12:14:08",
"last_datetime": null
}
}
POST https://uptime4.com/api/server-monitors
| Parametri | Dettagli | Descrizione |
|---|---|---|
| name | Richiesto String | - |
| target | Richiesto String | - |
| project_id | Facoltativo Intero | - |
| notifications | Facoltativo Array | ID del gestore delle notifiche |
| server_check_interval_seconds | Facoltativo Intero | Valori consentiti: 60, 300, 600, 900, 1800 (secondi) |
| alert_metric[key] | Facoltativo String | Valori consentiti: cpu_usage, disk_usage, ram_usage |
| alert_rule[key] | Facoltativo String | Valori consentiti: is_higher, is_lower |
| alert_value[key] | Facoltativo String | Valori consentiti: 1-99 |
| alert_trigger[key] | Facoltativo String | Valori consentiti: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 |
| is_enabled | Facoltativo Boolean | - |
curl --request POST \
--url 'https://uptime4.com/api/server-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://uptime4.com/api/server-monitors' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": "Example",
"network_download": "Example",
"network_total_upload": "Example",
"network_upload": "Example",
"os_name": null,
"os_version": null,
"kernel_name": null,
"kernel_version": null,
"kernel_release": null,
"cpu_architecture": null,
"cpu_model": null,
"cpu_cores": "Example",
"cpu_frequency": "Example",
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-09-29 12:14:08",
"last_datetime": null
}
}
POST https://uptime4.com/api/server-monitors/{server_monitor_id}
| Parametri | Dettagli | Descrizione |
|---|---|---|
| name | Richiesto String | - |
| target | Richiesto String | - |
| project_id | Facoltativo Intero | - |
| notifications | Facoltativo Array | ID del gestore delle notifiche |
| server_check_interval_seconds | Facoltativo Intero | Valori consentiti: 60, 300, 600, 900, 1800 (secondi) |
| alert_metric[key] | Facoltativo String | Valori consentiti: cpu_usage, disk_usage, ram_usage |
| alert_rule[key] | Facoltativo String | Valori consentiti: is_higher, is_lower |
| alert_value[key] | Facoltativo String | Valori consentiti: 1-99 |
| alert_trigger[key] | Facoltativo String | Valori consentiti: 1, 2, 3, 4, 5, 6, 7, 8, 9, 10 |
| is_enabled | Facoltativo Boolean | - |
curl --request POST \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"notifications": [],
"settings": [],
"uptime": 1,
"network_total_download": 1,
"network_download": 1,
"network_total_upload": 1,
"network_upload": 1,
"os_name": "Example",
"os_version": "Example",
"kernel_name": "Example",
"kernel_version": "Example",
"kernel_release": "Example",
"cpu_architecture": "Example",
"cpu_model": "Example",
"cpu_cores": 1,
"cpu_frequency": 1,
"cpu_usage": 1.5,
"ram_usage": 1.5,
"ram_used": 1.5,
"ram_total": 1.5,
"disk_usage": 1.5,
"disk_used": 1.5,
"disk_total": 1.5,
"cpu_load_1": 1.5,
"cpu_load_5": 1.5,
"cpu_load_15": 1.5,
"is_enabled": true,
"total_logs": 1,
"last_log_datetime": null,
"datetime": "2026-09-29 12:14:08",
"last_datetime": null
}
}
DELETE https://uptime4.com/api/server-monitors/{server_monitor_id}
curl --request DELETE \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/server-monitors/{server_monitor_id}' \
--header 'Authorization: Bearer {api_key}' \